Skip to main content

Overview

The EntidadBancaria API manages banking entities and financial institutions used for processing payments and managing financial transactions within the platform.

The EntidadBbancaria Object

id_entidad
integer
required
Unique identifier for the banking entity
id_ciudad
integer
required
Foreign key reference to the city where the banking entity operates
id_pais
integer
required
Foreign key reference to the country where the banking entity is located
nombre
string
required
Name of the banking entity (max 200 characters)

Create Banking Entity

curl -X POST https://api.restapi.com/entidades-bancarias \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "id_ciudad": 1,
    "id_pais": 1,
    "nombre": "Banco Pichincha"
  }'
{
  "id_entidad": 1,
  "id_ciudad": 1,
  "id_pais": 1,
  "nombre": "Banco Pichincha"
}
id_ciudad
integer
required
City ID where the banking entity operates
id_pais
integer
required
Country ID where the banking entity is registered
nombre
string
required
Full name of the banking entity (max 200 characters)

Get Banking Entity

curl -X GET https://api.restapi.com/entidades-bancarias/1 \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "id_entidad": 1,
  "id_ciudad": 1,
  "id_pais": 1,
  "nombre": "Banco Pichincha",
  "ciudad": {
    "id_ciudad": 1,
    "nombre": "Quito"
  },
  "pais": {
    "id_pais": 1,
    "nombre": "Ecuador"
  }
}

List Banking Entities

curl -X GET https://api.restapi.com/entidades-bancarias?id_pais=1&limit=50 \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "data": [
    {
      "id_entidad": 1,
      "id_ciudad": 1,
      "id_pais": 1,
      "nombre": "Banco Pichincha"
    },
    {
      "id_entidad": 2,
      "id_ciudad": 1,
      "id_pais": 1,
      "nombre": "Banco Guayaquil"
    },
    {
      "id_entidad": 3,
      "id_ciudad": 1,
      "id_pais": 1,
      "nombre": "Banco del Pacífico"
    },
    {
      "id_entidad": 4,
      "id_ciudad": 1,
      "id_pais": 1,
      "nombre": "Produbanco"
    },
    {
      "id_entidad": 5,
      "id_ciudad": 1,
      "id_pais": 1,
      "nombre": "Banco Internacional"
    }
  ],
  "total": 5,
  "page": 1,
  "limit": 50
}
id_pais
integer
Filter banking entities by country ID
id_ciudad
integer
Filter banking entities by city ID
nombre
string
Search banking entities by name (partial match)
limit
integer
default:"20"
Number of records to return per page
page
integer
default:"1"
Page number for pagination

Update Banking Entity

curl -X PUT https://api.restapi.com/entidades-bancarias/1 \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "nombre": "Banco Pichincha S.A.",
    "id_ciudad": 2
  }'
{
  "id_entidad": 1,
  "id_ciudad": 2,
  "id_pais": 1,
  "nombre": "Banco Pichincha S.A."
}
nombre
string
Updated name of the banking entity
id_ciudad
integer
Updated city ID for the banking entity
id_pais
integer
Updated country ID for the banking entity

Delete Banking Entity

curl -X DELETE https://api.restapi.com/entidades-bancarias/1 \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "success": true,
  "message": "Banking entity deleted successfully",
  "id_entidad": 1
}

Get Banking Entities by Country

Retrieve all banking entities available in a specific country.
curl -X GET https://api.restapi.com/entidades-bancarias/pais/1 \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "id_pais": 1,
  "nombre_pais": "Ecuador",
  "entidades": [
    {
      "id_entidad": 1,
      "nombre": "Banco Pichincha"
    },
    {
      "id_entidad": 2,
      "nombre": "Banco Guayaquil"
    },
    {
      "id_entidad": 3,
      "nombre": "Banco del Pacífico"
    },
    {
      "id_entidad": 4,
      "nombre": "Produbanco"
    },
    {
      "id_entidad": 5,
      "nombre": "Banco Internacional"
    }
  ],
  "total": 5
}

Build docs developers (and LLMs) love